function ri = get_ecgpeaks(ecg_data,Fs,plot_pt,arr)

[~,ri1,~,~,qrs_i,qrs_c] = pan_tompkin(ecg_data,Fs,plot_pt);

for i=1:1:length(qrs_i)
    
    l_lim = max((qrs_i(i) - round(0.150*Fs)),1);
    u_lim = min(qrs_i(i),length(ecg_data));
    maxval = abs(max(ecg_data(l_lim:u_lim)));
    minval = abs(min(ecg_data(l_lim:u_lim)));
    
    if(minval > (1.4*maxval))
        [~,ri1(i)] = min(ecg_data(l_lim:u_lim));
    else
        [~,ri1(i)] = max(ecg_data(l_lim:u_lim));
    end
    ri1(i) = ri1(i) + l_lim - 1;
end

mean_qrsc = mean(qrs_c);

k=1;
ri = [];
for i=1:1:length(ri1)
    if(arr ~= 4)
        if qrs_c(i) > (0.38*mean_qrsc)
            ri(k) = ri1(i);
            k=k+1;
        end
    else
        ri = ri1;
    end
end

for i=1:1:length(ri)-1
    
    if(arr == 1)
        if(ri(i+1) - ri(i) <= ceil(0.38*Fs))
            ri(i+1) = ri(i);
        end
    else
        if(ri(i+1) - ri(i) <= ceil(0.25*Fs))
            ri(i+1) = ri(i);
        end
    end
end

ri_diff = diff([0 ri]);

ri = ri(find(ri_diff>0));

if(arr == 5)
    ri = ri1;
end
